# std::promise::operator=

From cppreference.com
< cpp‎ | thread‎ | promise

promise& operator=( promise&& other ); | (1) | (since C++11)
promise& operator=( const promise& rhs ) = delete; | (2) | (since C++11)

Assigns the contents.

1) Move assignment operator. First, abandons the shared state (as in ~promise()), then assigns the shared state of `other` as if by executing std::promise(std::move(other)).swap(*this).
2) `promise` is not copy-assignable.

### Parameters

other | - | another `promise` to acquire the state from

### Return value

*this

### Exceptions

1)
`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/promise/operator%3D&oldid=91692"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template